Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk

From: Stefan Kangas <[email-masked]>
Date: Sat, 9 May 2020 12:48:53 -0400

Fab Rice <[email-masked]> writes:

> Here's an updated patch file, where I've fixed the issues pointed by Stefan.

Thank you.  I intended to push this today, but it seems like you haven't
merged the changes in Emacs into your version.

Could you please look into that and suggest how to best proceed?
Possibly you could just merge the changes and send a new patch.

I have marked some differences I could find below, but I think you would
need to review all this in full.

> -      (code-inline '(:foreground "#006400" :background "#FDFFF7"))
> +      (code-block '(:foreground "#000088" :background "#FFFFE0" :extend t))
> +      (code-inline '(:foreground "#006400" :background "#FDFFF7" :extend t))

The :extend attributes has been removed on purpose.
See emacs.git commit 58fb4c3e68a and etc/NEWS.27.

> +   ;; `(font-lock-doc-string-face ((,class (:foreground "#008000")))) ; XEmacs only, but is used for HTML exports from org2html (and not interactively)

This line was removed in emacs.git commit 16ec5f5f2ff.

>  ;; Local Variables:
> +;; no-byte-compile: t

This line was removed in emacs.git commit 530aa469a4d.

Sorry for not noticing any of this earlier.

Best regards,
Stefan Kangas